# StoredDataCollection

class `propertyestimator.storage.dataclasses.``StoredDataCollection`

  A collection of stored StoredSimulationData objects, all generated at the same state and using the same force field parameters.

  The ancillary directory which stores larger information such as trajectories should be of the form:

      |--- data_object.json
      |--- data_directory
          |--- data_key_1
               |--- coordinate_file_name.pdb
               |--- trajectory_file_name.dcd
               |--- statistics_file_name.csv
          |--- data_key_2
               |--- coordinate_file_name.pdb
               |--- trajectory_file_name.dcd
               |--- statistics_file_name.csv
          |--- data_key_3
               |--- coordinate_file_name.pdb
               |--- trajectory_file_name.dcd
               |--- statistics_file_name.csv

  `data`

    A dictionary of stored simulation data objects which have been given a unique key.

    Type

      dict of str and StoredSimulationData

  `__init__`()

    Constructs a new StoredDataCollection object

  Methods

  `__init__`() | Constructs a new StoredDataCollection object

  `can_merge`(other_data_collection)

  param other_data_collection

    The other stored data to compare against.

  `merge`(stored_data_1, stored_data_2) | Collapse two pieces of compatible stored data into one, by only retaining the data with the longest autocorrelation time.

  `can_merge`(other_data_collection)
    Parameters

      other_data_collection (StoredDataCollection) – The other stored data to compare against.

  classmethod `merge`(stored_data_1, stored_data_2)

    Collapse two pieces of compatible stored data into one, by only retaining the data with the longest autocorrelation time.

    Parameters

      - stored_data_1 (StoredDataCollection) – The first piece of stored data.

      - stored_data_2 (StoredDataCollection) – The second piece of stored data.

    Returns

      The merged stored data.

    Return type

      StoredDataCollection